Creates a new production order.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/production-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"input": {
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotCount": 123,
"lotSize": 123,
"targetTotalQuantity": 123,
"isTargetTotalQuantityBelowLotSizeAllowed": true,
"referenceNumber": "<string>",
"projectNumber": "<string>",
"notice": "<string>",
"targetStartTimestamp": "2023-11-07T05:31:56Z",
"targetCompletionTimestamp": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-orders"
payload = { "input": {
"productionItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"billOfMaterialsId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotCount": 123,
"lotSize": 123,
"targetTotalQuantity": 123,
"isTargetTotalQuantityBelowLotSizeAllowed": True,
"referenceNumber": "<string>",
"projectNumber": "<string>",
"notice": "<string>",
"targetStartTimestamp": "2023-11-07T05:31:56Z",
"targetCompletionTimestamp": "2023-11-07T05:31:56Z"
} }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
input: {
productionItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
billOfMaterialsId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
lotCount: 123,
lotSize: 123,
targetTotalQuantity: 123,
isTargetTotalQuantityBelowLotSizeAllowed: true,
referenceNumber: '<string>',
projectNumber: '<string>',
notice: '<string>',
targetStartTimestamp: '2023-11-07T05:31:56Z',
targetCompletionTimestamp: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.jtl-cloud.com/erp/v2/production-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Production
Creates a new production order.
Creates a new production order.
POST
/
v2
/
production-orders
Creates a new production order.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Creates a new production order. - Request
The input for creating the production order, including the production item, bill of materials, lot configuration, and optional scheduling details.
Show child attributes
Show child attributes
Response
Successfully created a production order.
Creates a new production order. - Response
The ID of the newly created production order.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I